aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/startkde14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/startkde b/bin/startkde
new file mode 100755
index 0000000..14d36dd
--- /dev/null
+++ b/bin/startkde
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+if ! command -v startplasma-wayland &> /dev/null; then
+ >&2 echo KDE is not installed
+ exit 1
+fi
+
+export GVIM_ENABLE_WAYLAND=1
+export MOZ_ENABLE_WAYLAND=1
+
+unset GTK_IM_MODULE
+unset QT_IM_MODULE
+
+exec startplasma-wayland